{: test that string compare causes a compilation error
   if the lhs is not a string constant}

program e1087( output );

type
   str = packed array[1..10] of char;

var
   s : str;
   b : boolean;
begin { e1087 }

   b := 1234 = s;        {!!! s not a string constant}
end. { e1087 }

